Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026163RunnerInput DevicesPublic2017-04-06 10:512017-08-09 09:38
ReporterDaniel Cleaton 
Assigned ToRussell Kay 
PriorityHighSeverityA - Crash/HangReproducibility100%
StatusResolvedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Summary0026163: Input Devices: Disconnecting and reconnecting a PS4 gamepad crashes games on Windows
DescriptionDisconnecting and reconnecting a PS4 gamepad crashes games on Windows - regardless of if the pad was connected already when running the game or if it was only first connected at runtime.
Steps To Reproduce1. Start any project for Windows VM/YYC.
2. Plug in a PS4 pad. Wait a few seconds while it initialises, etc.
3. Disconnect the pad. Wait a few seconds.
4. Reconnect the pad.
5. Observe the game immediately crashes.
Repro: 100%

Swap the order of steps 1 and 2, then repeat all steps.
Repro: 100%
Additional Informationhttps://yoyogames.zendesk.com/agent/tickets/124120 [^]
1.4 Version
2.x Runtime Version2.0.5.49
2.x Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0052814)
Fritz (Developer)
2017-04-19 12:04

Believe this has already been fixed, does not repro in current red
(0054814)
Russell Kay (Manager)
2017-08-08 15:11

Which version does it reproduce in??? 1.4??? 2.0??? Red, Green, Blue???? come on... more info needed than this
(0054818)
Daniel Cleaton (Administrator)
2017-08-08 16:13

1.4.1772, 2.0.7 and 2.1.

Using default Windows driver for "HID-compliant game controller" or SCPToolkit https://github.com/nefarius/ScpToolkit/releases/tag/v1.6.238.16010 [^]
(0054828)
Russell Kay (Manager)
2017-08-09 09:38

Fixed in gitlab - reallocation of a removed DirectInput Gamepad was incorrect (was indexing off the end of an array)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker